import BaseBuffer from "../../engines/buffers/BaseBuffer";


/**
 * 加速Buffer
 */
export default class AccelerateBuffer extends BaseBuffer
{
    /**
     * 倍率
     */
    rate:number=2.0;

    constructor(group:string,time:number,rate:number=2.0){
        super(group,time);
        this.rate=1/rate;
    }
    
    Run(data?:any):void{
        this.mergeBuffer();
        super.Run(data);
    }
}